#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 deferred-folds
version:              0.9.18
visibility:           public
id:                   deferred-folds-0.9.18-FR2899z7UuR5EcuFi9ITJ4
key:                  deferred-folds-0.9.18-FR2899z7UuR5EcuFi9ITJ4
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
stability:            Experimental
homepage:             https://github.com/metrix-ai/deferred-folds
synopsis:             Abstractions over deferred folds
description:
    This library is in an experimental state.
    Users should be prepared for frequent updates.

category:             Folding
abi:                  6423458ef37dfafa51d2fac68bcde7e3
exposed:              True
exposed-modules:
    DeferredFolds.Unfoldl DeferredFolds.UnfoldlM DeferredFolds.Unfoldr

hidden-modules:
    DeferredFolds.Types DeferredFolds.UnfoldrM
    DeferredFolds.Defs.Unfoldl DeferredFolds.Defs.UnfoldlM
    DeferredFolds.Defs.Unfoldr DeferredFolds.Defs.UnfoldrM
    DeferredFolds.Prelude DeferredFolds.Util.TextArray

import-dirs:          /usr/lib/ghc-9.0.2/site-local/deferred-folds-0.9.18
library-dirs:         /usr/lib/ghc-9.0.2/site-local/deferred-folds-0.9.18
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/deferred-folds-0.9.18
hs-libraries:         HSdeferred-folds-0.9.18-FR2899z7UuR5EcuFi9ITJ4
depends:
    base-4.15.1.0 bytestring-0.10.12.1 containers-0.6.4.1
    foldl-1.4.12-CAlHNB1FpiT8LQ7y1fyovy
    hashable-1.3.5.0-9wAI1WS8YgI32PWp14SUvr
    primitive-0.7.3.0-B50m1vBTvOqCDtGqJqReDJ text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.15.0-Ht2efffRCvFCdRwsi5oUgT
    vector-0.12.3.1-KtKcoCRq29nJlZWgb7i8Fm

haddock-interfaces:
    /usr/share/doc/haskell-deferred-folds/html/deferred-folds.haddock

haddock-html:         /usr/share/doc/haskell-deferred-folds/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

